Index: doc/html/pmsm_8h-source.html
===================================================================
--- doc/html/pmsm_8h-source.html (revision 37)
+++ doc/html/pmsm_8h-source.html (revision 79)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>mixpp: work/mixpp/tests/pmsm.h Source File</title>
+<title>mixpp: work/mixpp/pmsm/pmsm.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
@@ -14,84 +14,144 @@
   </ul>
 </div>
-<h1>work/mixpp/tests/pmsm.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef PMSM_H</span>
+<h1>work/mixpp/pmsm/pmsm.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef PMSM_H</span>
 <a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define PMSM_H</span>
 <a name="l00003"></a>00003 <span class="preprocessor"></span>
-<a name="l00004"></a>00004 <a class="code" href="classRV.html" title="Class representing variables, most often random variables.">RV</a> rx ( <span class="stringliteral">"1 2 3 4"</span>, <span class="stringliteral">"{ia, ib, om, th}"</span>, ones_i ( 4 ), zeros_i ( 4 ));
-<a name="l00005"></a>00005 <a class="code" href="classRV.html" title="Class representing variables, most often random variables.">RV</a> ru ( <span class="stringliteral">"5 6"</span>, <span class="stringliteral">"{ua, ub}"</span>, ones_i ( 2 ) ,zeros_i ( 2 ));
-<a name="l00006"></a>00006 <a class="code" href="classRV.html" title="Class representing variables, most often random variables.">RV</a> ry ( <span class="stringliteral">"7 8"</span>, <span class="stringliteral">"{oia, oib}"</span>, ones_i ( 2 ) ,zeros_i ( 2 ));
+<a name="l00004"></a>00004 <span class="preprocessor">#include &lt;stat/libFN.h&gt;</span>
+<a name="l00005"></a>00005 <span class="preprocessor">#include &lt;userinfo.h&gt;</span>
+<a name="l00006"></a>00006 
 <a name="l00007"></a>00007 
-<a name="l00009"></a><a class="code" href="classIMpmsm.html">00009</a> <span class="keyword">class </span><a class="code" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to $x$.">IMpmsm</a> : <span class="keyword">public</span> <a class="code" href="classdiffbifn.html" title="Class representing a differentiable function of two variables $f(x,u)$.">diffbifn</a> {
-<a name="l00010"></a>00010         <span class="keywordtype">double</span> Rs, Ls, dt, Ypm, kp, p,  J, Mz;
-<a name="l00011"></a>00011 
-<a name="l00012"></a>00012 <span class="comment">//TODO hardcoded RVs!!!</span>
-<a name="l00013"></a>00013 <span class="keyword">public</span>:
-<a name="l00014"></a>00014         <a class="code" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to $x$.">IMpmsm</a>() :<a class="code" href="classdiffbifn.html#0b33e1bfa23be5ed234d172eb4c0e4b5" title="Default constructor (dimy is not set!).">diffbifn</a> ( rx, ru ) {};
-<a name="l00016"></a><a class="code" href="classIMpmsm.html#42818f3426d99fecb7e97be8ffe2e228">00016</a>         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#42818f3426d99fecb7e97be8ffe2e228" title="Set mechanical and electrical variables.">set_parameters</a> ( <span class="keywordtype">double</span> Rs0, <span class="keywordtype">double</span> Ls0, <span class="keywordtype">double</span> dt0, <span class="keywordtype">double</span> Ypm0, <span class="keywordtype">double</span> kp0, <span class="keywordtype">double</span> p0, <span class="keywordtype">double</span> J0, <span class="keywordtype">double</span> Mz0 ) {Rs=Rs0; Ls=Ls0; dt=dt0; Ypm=Ypm0; kp=kp0; p=p0; J=J0; Mz=Mz0;}
-<a name="l00017"></a>00017 
-<a name="l00018"></a><a class="code" href="classIMpmsm.html#45785869d978dda42828a072ec2caebe">00018</a>         vec <a class="code" href="classIMpmsm.html#45785869d978dda42828a072ec2caebe" title="Evaluates $f(x0,u0)$.">eval</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0 ) {
-<a name="l00019"></a>00019                 <span class="comment">// last state</span>
-<a name="l00020"></a>00020                 <span class="keywordtype">double</span> iam = x0 ( 0 );
-<a name="l00021"></a>00021                 <span class="keywordtype">double</span> ibm = x0 ( 1 );
-<a name="l00022"></a>00022                 <span class="keywordtype">double</span> omm = x0 ( 2 );
-<a name="l00023"></a>00023                 <span class="keywordtype">double</span> thm = x0 ( 3 );
-<a name="l00024"></a>00024                 <span class="keywordtype">double</span> uam = u0 ( 0 );
-<a name="l00025"></a>00025                 <span class="keywordtype">double</span> ubm = u0 ( 1 );
+<a name="l00008"></a>00008 <span class="comment">//TODO hardcoded RVs!!!</span>
+<a name="l00009"></a>00009 <a class="code" href="classRV.html" title="Class representing variables, most often random variables.">RV</a> rx ( <span class="stringliteral">"1 2 3 4"</span>, <span class="stringliteral">"{ia, ib, om, th}"</span>, ones_i ( 4 ), zeros_i ( 4 ));
+<a name="l00010"></a>00010 <a class="code" href="classRV.html" title="Class representing variables, most often random variables.">RV</a> ru ( <span class="stringliteral">"5 6"</span>, <span class="stringliteral">"{ua, ub}"</span>, ones_i ( 2 ) ,zeros_i ( 2 ));
+<a name="l00011"></a>00011 <a class="code" href="classRV.html" title="Class representing variables, most often random variables.">RV</a> ry ( <span class="stringliteral">"7 8"</span>, <span class="stringliteral">"{oia, oib}"</span>, ones_i ( 2 ) ,zeros_i ( 2 ));
+<a name="l00012"></a>00012 
+<a name="l00013"></a>00013 <span class="keyword">class </span>uipmsm : <span class="keyword">public</span> <a class="code" href="classuicompound.html" title="Compound user info.">uicompound</a>{
+<a name="l00014"></a>00014         <span class="keywordtype">double</span> Rs, Ls, dt, Ypm, kp, p,  J, Mz;
+<a name="l00015"></a>00015 };
+<a name="l00016"></a>00016 
+<a name="l00018"></a><a class="code" href="classIMpmsm.html">00018</a> <span class="keyword">class </span><a class="code" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to $x$.">IMpmsm</a> : <span class="keyword">public</span> <a class="code" href="classdiffbifn.html" title="Class representing a differentiable function of two variables $f(x,u)$.">diffbifn</a> {
+<a name="l00019"></a>00019 <span class="keyword">protected</span>:
+<a name="l00020"></a>00020         <span class="keywordtype">double</span> Rs, Ls, dt, Ypm, kp, p,  J, Mz;
+<a name="l00021"></a>00021 
+<a name="l00022"></a>00022 <span class="keyword">public</span>:
+<a name="l00023"></a>00023         <a class="code" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to $x$.">IMpmsm</a>() :<a class="code" href="classdiffbifn.html#797772c0d5aab8ddccec19dfe4bb2d77" title="Default constructor (dimy is not set!).">diffbifn</a> (rx.<a class="code" href="classRV.html#f5c7b8bd589eef09ccdf3329a0addea0" title="Return length (number of scalars) of the RV.">count</a>(), rx, ru ) {};
+<a name="l00025"></a><a class="code" href="classIMpmsm.html#42818f3426d99fecb7e97be8ffe2e228">00025</a>         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#42818f3426d99fecb7e97be8ffe2e228" title="Set mechanical and electrical variables.">set_parameters</a> ( <span class="keywordtype">double</span> Rs0, <span class="keywordtype">double</span> Ls0, <span class="keywordtype">double</span> dt0, <span class="keywordtype">double</span> Ypm0, <span class="keywordtype">double</span> kp0, <span class="keywordtype">double</span> p0, <span class="keywordtype">double</span> J0, <span class="keywordtype">double</span> Mz0 ) {Rs=Rs0; Ls=Ls0; dt=dt0; Ypm=Ypm0; kp=kp0; p=p0; J=J0; Mz=Mz0;}
 <a name="l00026"></a>00026 
-<a name="l00027"></a>00027                 vec xk=zeros ( 4 );
-<a name="l00028"></a>00028                 <span class="comment">//ia</span>
-<a name="l00029"></a>00029                 xk ( 0 ) = ( 1.0- Rs/Ls*dt ) * iam + Ypm/Ls*dt*omm * sin ( thm ) + uam*dt/Ls;
-<a name="l00030"></a>00030                 <span class="comment">//ib</span>
-<a name="l00031"></a>00031                 xk ( 1 ) = ( 1.0- Rs/Ls*dt ) * ibm - Ypm/Ls*dt*omm * cos ( thm ) + ubm*dt/Ls;
-<a name="l00032"></a>00032                 <span class="comment">//om</span>
-<a name="l00033"></a>00033                 xk ( 2 ) = omm + kp*p*p * Ypm/J*dt* ( ibm * cos ( thm )-iam * sin ( thm ) ) - p/J*dt*Mz;
-<a name="l00034"></a>00034                 <span class="comment">//th</span>
-<a name="l00035"></a>00035                 xk ( 3 ) = rem(thm + omm*dt,2*pi);
-<a name="l00036"></a>00036                 <span class="keywordflow">return</span> xk;
-<a name="l00037"></a>00037         }
-<a name="l00038"></a>00038 
-<a name="l00039"></a><a class="code" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1">00039</a>         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1" title="Evaluates  and writes result into A .">dfdx_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {
-<a name="l00040"></a>00040                 <span class="keywordtype">double</span> iam = x0 ( 0 );
-<a name="l00041"></a>00041                 <span class="keywordtype">double</span> ibm = x0 ( 1 );
-<a name="l00042"></a>00042                 <span class="keywordtype">double</span> omm = x0 ( 2 );
-<a name="l00043"></a>00043                 <span class="keywordtype">double</span> thm = x0 ( 3 );
-<a name="l00044"></a>00044                 <span class="comment">// d ia</span>
-<a name="l00045"></a>00045                 A ( 0,0 ) = ( 1.0- Rs/Ls*dt ); A ( 0,1 ) = 0.0;
-<a name="l00046"></a>00046                 A ( 0,2 ) = Ypm/Ls*dt* sin ( thm ); A ( 0,3 ) = Ypm/Ls*dt*omm * ( cos ( thm ) );
-<a name="l00047"></a>00047                 <span class="comment">// d ib</span>
-<a name="l00048"></a>00048                 A ( 1,0 ) = 0.0 ; A ( 1,1 ) = ( 1.0- Rs/Ls*dt );
-<a name="l00049"></a>00049                 A ( 1,2 ) = -Ypm/Ls*dt* cos ( thm ); A ( 1,3 ) = Ypm/Ls*dt*omm * ( sin ( thm ) );
-<a name="l00050"></a>00050                 <span class="comment">// d om</span>
-<a name="l00051"></a>00051                 A ( 2,0 ) = kp*p*p * Ypm/J*dt* ( - sin ( thm ) );
-<a name="l00052"></a>00052                 A ( 2,1 ) = kp*p*p * Ypm/J*dt* ( cos ( thm ) );
-<a name="l00053"></a>00053                 A ( 2,2 ) = 1.0;
-<a name="l00054"></a>00054                 A ( 2,3 ) = kp*p*p * Ypm/J*dt* ( -ibm * sin ( thm )-iam * cos ( thm ) );
-<a name="l00055"></a>00055                 <span class="comment">// d th</span>
-<a name="l00056"></a>00056                 A ( 3,0 ) = 0.0; A ( 3,1 ) = 0.0; A ( 3,2 ) = dt; A ( 3,3 ) = 1.0;
-<a name="l00057"></a>00057         }
-<a name="l00058"></a>00058 
-<a name="l00059"></a><a class="code" href="classIMpmsm.html#c3f8dad22ae9855c04a1d593b45c99b5">00059</a>         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#c3f8dad22ae9855c04a1d593b45c99b5" title="Evaluates  and writes result into A .">dfdu_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {it_error ( <span class="stringliteral">"not needed"</span> );};
-<a name="l00060"></a>00060 
-<a name="l00061"></a>00061 };
-<a name="l00062"></a>00062 
-<a name="l00064"></a><a class="code" href="classOMpmsm.html">00064</a> <span class="keyword">class </span><a class="code" href="classOMpmsm.html" title="Observation model for PMSM drive and its derivative with respect to $x$.">OMpmsm</a>: <span class="keyword">public</span> <a class="code" href="classdiffbifn.html" title="Class representing a differentiable function of two variables $f(x,u)$.">diffbifn</a> {
-<a name="l00065"></a>00065 <span class="keyword">public</span>:
-<a name="l00066"></a>00066         <a class="code" href="classOMpmsm.html" title="Observation model for PMSM drive and its derivative with respect to $x$.">OMpmsm</a>() :<a class="code" href="classdiffbifn.html#0b33e1bfa23be5ed234d172eb4c0e4b5" title="Default constructor (dimy is not set!).">diffbifn</a> ( rx,ru ) {};
-<a name="l00067"></a>00067 
-<a name="l00068"></a><a class="code" href="classOMpmsm.html#8e32392c9c635584606287b8c0e8c9da">00068</a>         vec <a class="code" href="classOMpmsm.html#8e32392c9c635584606287b8c0e8c9da" title="Evaluates $f(x0,u0)$.">eval</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0 ) {
-<a name="l00069"></a>00069                 vec y ( 2 );
-<a name="l00070"></a>00070                 y ( 0 ) = x0 ( 0 );
-<a name="l00071"></a>00071                 y ( 1 ) = x0 ( 1 );
-<a name="l00072"></a>00072                 <span class="keywordflow">return</span> y;
-<a name="l00073"></a>00073         }
-<a name="l00074"></a>00074 
-<a name="l00075"></a><a class="code" href="classOMpmsm.html#b75b5fd55b2ac5ed74b5b953af122821">00075</a>         <span class="keywordtype">void</span> <a class="code" href="classOMpmsm.html#b75b5fd55b2ac5ed74b5b953af122821" title="Evaluates  and writes result into A .">dfdx_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {
-<a name="l00076"></a>00076                 A.clear();
-<a name="l00077"></a>00077                 A ( 0,0 ) = 1.0;
-<a name="l00078"></a>00078                 A ( 1,1 ) = 1.0;
-<a name="l00079"></a>00079         }
-<a name="l00080"></a>00080 };
-<a name="l00081"></a>00081 
-<a name="l00082"></a>00082 <span class="preprocessor">#endif //PMSM_H</span>
-</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Wed Mar 12 16:15:45 2008 for mixpp by&nbsp;
+<a name="l00027"></a><a class="code" href="classIMpmsm.html#45785869d978dda42828a072ec2caebe">00027</a>         vec <a class="code" href="classIMpmsm.html#45785869d978dda42828a072ec2caebe" title="Evaluates $f(x0,u0)$.">eval</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0 ) {
+<a name="l00028"></a>00028                 <span class="comment">// last state</span>
+<a name="l00029"></a>00029                 <span class="keywordtype">double</span> iam = x0 ( 0 );
+<a name="l00030"></a>00030                 <span class="keywordtype">double</span> ibm = x0 ( 1 );
+<a name="l00031"></a>00031                 <span class="keywordtype">double</span> omm = x0 ( 2 );
+<a name="l00032"></a>00032                 <span class="keywordtype">double</span> thm = x0 ( 3 );
+<a name="l00033"></a>00033                 <span class="keywordtype">double</span> uam = u0 ( 0 );
+<a name="l00034"></a>00034                 <span class="keywordtype">double</span> ubm = u0 ( 1 );
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036                 vec xk=zeros ( 4 );
+<a name="l00037"></a>00037                 <span class="comment">//ia</span>
+<a name="l00038"></a>00038                 xk ( 0 ) = ( 1.0- Rs/Ls*dt ) * iam + Ypm/Ls*dt*omm * sin ( thm ) + uam*dt/Ls;
+<a name="l00039"></a>00039                 <span class="comment">//ib</span>
+<a name="l00040"></a>00040                 xk ( 1 ) = ( 1.0- Rs/Ls*dt ) * ibm - Ypm/Ls*dt*omm * cos ( thm ) + ubm*dt/Ls;
+<a name="l00041"></a>00041                 <span class="comment">//om</span>
+<a name="l00042"></a>00042                 xk ( 2 ) = omm + kp*p*p * Ypm/J*dt* ( ibm * cos ( thm )-iam * sin ( thm ) ) - p/J*dt*Mz;
+<a name="l00043"></a>00043                 <span class="comment">//th</span>
+<a name="l00044"></a>00044                 xk ( 3 ) = thm + omm*dt; <span class="comment">// &lt;0..2pi&gt;</span>
+<a name="l00045"></a>00045                 <span class="keywordflow">if</span> ( xk ( 3 ) &gt;pi ) xk ( 3 )-=2*pi;
+<a name="l00046"></a>00046                 <span class="keywordflow">if</span> ( xk ( 3 ) &lt;-pi ) xk ( 3 ) +=2*pi;
+<a name="l00047"></a>00047                 <span class="keywordflow">return</span> xk;
+<a name="l00048"></a>00048         }
+<a name="l00049"></a>00049 
+<a name="l00050"></a><a class="code" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1">00050</a>         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1" title="Evaluates  and writes result into A .">dfdx_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {
+<a name="l00051"></a>00051                 <span class="keywordtype">double</span> iam = x0 ( 0 );
+<a name="l00052"></a>00052                 <span class="keywordtype">double</span> ibm = x0 ( 1 );
+<a name="l00053"></a>00053                 <span class="keywordtype">double</span> omm = x0 ( 2 );
+<a name="l00054"></a>00054                 <span class="keywordtype">double</span> thm = x0 ( 3 );
+<a name="l00055"></a>00055                 <span class="comment">// d ia</span>
+<a name="l00056"></a>00056                 A ( 0,0 ) = ( 1.0- Rs/Ls*dt ); A ( 0,1 ) = 0.0;
+<a name="l00057"></a>00057                 A ( 0,2 ) = Ypm/Ls*dt* sin ( thm ); A ( 0,3 ) = Ypm/Ls*dt*omm * ( cos ( thm ) );
+<a name="l00058"></a>00058                 <span class="comment">// d ib</span>
+<a name="l00059"></a>00059                 A ( 1,0 ) = 0.0 ; A ( 1,1 ) = ( 1.0- Rs/Ls*dt );
+<a name="l00060"></a>00060                 A ( 1,2 ) = -Ypm/Ls*dt* cos ( thm ); A ( 1,3 ) = Ypm/Ls*dt*omm * ( sin ( thm ) );
+<a name="l00061"></a>00061                 <span class="comment">// d om</span>
+<a name="l00062"></a>00062                 A ( 2,0 ) = kp*p*p * Ypm/J*dt* ( - sin ( thm ) );
+<a name="l00063"></a>00063                 A ( 2,1 ) = kp*p*p * Ypm/J*dt* ( cos ( thm ) );
+<a name="l00064"></a>00064                 A ( 2,2 ) = 1.0;
+<a name="l00065"></a>00065                 A ( 2,3 ) = kp*p*p * Ypm/J*dt* ( -ibm * sin ( thm )-iam * cos ( thm ) );
+<a name="l00066"></a>00066                 <span class="comment">// d th</span>
+<a name="l00067"></a>00067                 A ( 3,0 ) = 0.0; A ( 3,1 ) = 0.0; A ( 3,2 ) = dt; A ( 3,3 ) = 1.0;
+<a name="l00068"></a>00068         }
+<a name="l00069"></a>00069 
+<a name="l00070"></a><a class="code" href="classIMpmsm.html#c3f8dad22ae9855c04a1d593b45c99b5">00070</a>         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#c3f8dad22ae9855c04a1d593b45c99b5" title="Evaluates  and writes result into A .">dfdu_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {it_error ( <span class="stringliteral">"not needed"</span> );};
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 };
+<a name="l00073"></a>00073 
+<a name="l00074"></a>00074 <span class="keyword">class </span>IMpmsmStat : <span class="keyword">public</span> <a class="code" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to $x$.">IMpmsm</a> {
+<a name="l00075"></a>00075         IMpmsmStat() :<a class="code" href="classIMpmsm.html" title="State evolution model for a PMSM drive and its derivative with respect to $x$.">IMpmsm</a>() {};
+<a name="l00077"></a>00077         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#42818f3426d99fecb7e97be8ffe2e228" title="Set mechanical and electrical variables.">set_parameters</a> ( <span class="keywordtype">double</span> Rs0, <span class="keywordtype">double</span> Ls0, <span class="keywordtype">double</span> dt0, <span class="keywordtype">double</span> Ypm0, <span class="keywordtype">double</span> kp0, <span class="keywordtype">double</span> p0, <span class="keywordtype">double</span> J0, <span class="keywordtype">double</span> Mz0 ) {Rs=Rs0; Ls=Ls0; dt=dt0; Ypm=Ypm0; kp=kp0; p=p0; J=J0; Mz=Mz0;}
+<a name="l00078"></a>00078 
+<a name="l00079"></a>00079         vec <a class="code" href="classIMpmsm.html#45785869d978dda42828a072ec2caebe" title="Evaluates $f(x0,u0)$.">eval</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0 ) {
+<a name="l00080"></a>00080                 <span class="comment">// last state</span>
+<a name="l00081"></a>00081                 <span class="keywordtype">double</span> iam = x0 ( 0 );
+<a name="l00082"></a>00082                 <span class="keywordtype">double</span> ibm = x0 ( 1 );
+<a name="l00083"></a>00083                 <span class="keywordtype">double</span> omm = x0 ( 2 );
+<a name="l00084"></a>00084                 <span class="keywordtype">double</span> thm = x0 ( 3 );
+<a name="l00085"></a>00085                 <span class="keywordtype">double</span> uam = u0 ( 0 );
+<a name="l00086"></a>00086                 <span class="keywordtype">double</span> ubm = u0 ( 1 );
+<a name="l00087"></a>00087 
+<a name="l00088"></a>00088                 vec xk=zeros ( 4 );
+<a name="l00089"></a>00089                 <span class="comment">//ia</span>
+<a name="l00090"></a>00090                 xk ( 0 ) = ( 1.0- Rs/Ls*dt ) * iam + Ypm/Ls*dt*omm * sin ( thm ) + uam*dt/Ls;
+<a name="l00091"></a>00091                 <span class="comment">//ib</span>
+<a name="l00092"></a>00092                 xk ( 1 ) = ( 1.0- Rs/Ls*dt ) * ibm - Ypm/Ls*dt*omm * cos ( thm ) + ubm*dt/Ls;
+<a name="l00093"></a>00093                 <span class="comment">//om</span>
+<a name="l00094"></a>00094                 xk ( 2 ) = omm;<span class="comment">// + kp*p*p * Ypm/J*dt* ( ibm * cos ( thm )-iam * sin ( thm ) ) - p/J*dt*Mz;</span>
+<a name="l00095"></a>00095                 <span class="comment">//th</span>
+<a name="l00096"></a>00096                 xk ( 3 ) = rem(thm + omm*dt,2*pi); <span class="comment">// &lt;0..2pi&gt;</span>
+<a name="l00097"></a>00097                 <span class="keywordflow">return</span> xk;
+<a name="l00098"></a>00098         }
+<a name="l00099"></a>00099 
+<a name="l00100"></a>00100         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1" title="Evaluates  and writes result into A .">dfdx_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {
+<a name="l00101"></a>00101                 <span class="keywordtype">double</span> iam = x0 ( 0 );
+<a name="l00102"></a>00102                 <span class="keywordtype">double</span> ibm = x0 ( 1 );
+<a name="l00103"></a>00103                 <span class="keywordtype">double</span> omm = x0 ( 2 );
+<a name="l00104"></a>00104                 <span class="keywordtype">double</span> thm = x0 ( 3 );
+<a name="l00105"></a>00105                 <span class="comment">// d ia</span>
+<a name="l00106"></a>00106                 A ( 0,0 ) = ( 1.0- Rs/Ls*dt ); A ( 0,1 ) = 0.0;
+<a name="l00107"></a>00107                 A ( 0,2 ) = Ypm/Ls*dt* sin ( thm ); A ( 0,3 ) = Ypm/Ls*dt*omm * ( cos ( thm ) );
+<a name="l00108"></a>00108                 <span class="comment">// d ib</span>
+<a name="l00109"></a>00109                 A ( 1,0 ) = 0.0 ; A ( 1,1 ) = ( 1.0- Rs/Ls*dt );
+<a name="l00110"></a>00110                 A ( 1,2 ) = -Ypm/Ls*dt* cos ( thm ); A ( 1,3 ) = Ypm/Ls*dt*omm * ( sin ( thm ) );
+<a name="l00111"></a>00111                 <span class="comment">// d om</span>
+<a name="l00112"></a>00112                 A ( 2,0 ) = 0.0;<span class="comment">//kp*p*p * Ypm/J*dt* ( - sin ( thm ) );</span>
+<a name="l00113"></a>00113                 A ( 2,1 ) = 0.0;<span class="comment">//kp*p*p * Ypm/J*dt* ( cos ( thm ) );</span>
+<a name="l00114"></a>00114                 A ( 2,2 ) = 1.0;
+<a name="l00115"></a>00115                 A ( 2,3 ) = 0.0;<span class="comment">//kp*p*p * Ypm/J*dt* ( -ibm * sin ( thm )-iam * cos ( thm ) );</span>
+<a name="l00116"></a>00116                 <span class="comment">// d th</span>
+<a name="l00117"></a>00117                 A ( 3,0 ) = 0.0; A ( 3,1 ) = 0.0; A ( 3,2 ) = dt; A ( 3,3 ) = 1.0;
+<a name="l00118"></a>00118         }
+<a name="l00119"></a>00119 
+<a name="l00120"></a>00120         <span class="keywordtype">void</span> <a class="code" href="classIMpmsm.html#c3f8dad22ae9855c04a1d593b45c99b5" title="Evaluates  and writes result into A .">dfdu_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {it_error ( <span class="stringliteral">"not needed"</span> );};
+<a name="l00121"></a>00121 
+<a name="l00122"></a>00122 };
+<a name="l00123"></a>00123 
+<a name="l00125"></a><a class="code" href="classOMpmsm.html">00125</a> <span class="keyword">class </span><a class="code" href="classOMpmsm.html" title="Observation model for PMSM drive and its derivative with respect to $x$.">OMpmsm</a>: <span class="keyword">public</span> <a class="code" href="classdiffbifn.html" title="Class representing a differentiable function of two variables $f(x,u)$.">diffbifn</a> {
+<a name="l00126"></a>00126 <span class="keyword">public</span>:
+<a name="l00127"></a>00127         <a class="code" href="classOMpmsm.html" title="Observation model for PMSM drive and its derivative with respect to $x$.">OMpmsm</a>() :<a class="code" href="classdiffbifn.html#797772c0d5aab8ddccec19dfe4bb2d77" title="Default constructor (dimy is not set!).">diffbifn</a> (2, rx,ru ) {};
+<a name="l00128"></a>00128 
+<a name="l00129"></a><a class="code" href="classOMpmsm.html#8e32392c9c635584606287b8c0e8c9da">00129</a>         vec <a class="code" href="classOMpmsm.html#8e32392c9c635584606287b8c0e8c9da" title="Evaluates $f(x0,u0)$.">eval</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0 ) {
+<a name="l00130"></a>00130                 vec y ( 2 );
+<a name="l00131"></a>00131                 y ( 0 ) = x0 ( 0 );
+<a name="l00132"></a>00132                 y ( 1 ) = x0 ( 1 );
+<a name="l00133"></a>00133                 <span class="keywordflow">return</span> y;
+<a name="l00134"></a>00134         }
+<a name="l00135"></a>00135 
+<a name="l00136"></a><a class="code" href="classOMpmsm.html#b75b5fd55b2ac5ed74b5b953af122821">00136</a>         <span class="keywordtype">void</span> <a class="code" href="classOMpmsm.html#b75b5fd55b2ac5ed74b5b953af122821" title="Evaluates  and writes result into A .">dfdx_cond</a> ( <span class="keyword">const</span> vec &amp;x0, <span class="keyword">const</span> vec &amp;u0, mat &amp;A, <span class="keywordtype">bool</span> full=<span class="keyword">true</span> ) {
+<a name="l00137"></a>00137                 A.clear();
+<a name="l00138"></a>00138                 A ( 0,0 ) = 1.0;
+<a name="l00139"></a>00139                 A ( 1,1 ) = 1.0;
+<a name="l00140"></a>00140         }
+<a name="l00141"></a>00141 };
+<a name="l00142"></a>00142 
+<a name="l00143"></a>00143 <span class="preprocessor">#endif //PMSM_H</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Fri Apr 18 11:15:15 2008 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>