Index: doc/latex/classKalman__inherit__graph.eps
===================================================================
--- doc/latex/classKalman__inherit__graph.eps (revision 79)
+++ doc/latex/classKalman__inherit__graph.eps (revision 91)
@@ -1,4 +1,4 @@
 %!PS-Adobe-2.0
-%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
 %%For: (smidl) Vasek Smidl,,,
 %%Title: G
@@ -89,15 +89,13 @@
 } def
 
-% draw aligned label in bounding box aligned to current point
-/alignedtext {			% width adj text
+% draw text fitted to its expected width
+/alignedtext {			% width text
 	/text exch def
-	/adj exch def
 	/width exch def
 	gsave
 		width 0 gt {
-			text stringwidth pop adj mul 0 rmoveto
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
 		} if
-		[] 0 setdash
-		text show
 	grestore
 } def
@@ -182,51 +180,82 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 439 378
+%%PageBoundingBox: 36 36 408 362
 %%PageOrientation: Portrait
-gsave
-36 36 439 378 boxprim clip newpath
 0 0 1 beginpage
+gsave
+36 36 372 326 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 338 lineto
-399 338 lineto
-399 -4 lineto
-closepath fill
-1 setlinewidth
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 338 lineto
-399 338 lineto
-399 -4 lineto
-closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 166 252 moveto
-166 273 lineto
-262 273 lineto
-262 252 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 166 252 moveto
-166 273 lineto
-262 273 lineto
-262 252 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-214 259 moveto 80 -0.5 (Kalman< sq_T >) alignedtext
+newpath 159 240 moveto
+159 259 lineto
+248 259 lineto
+248 240 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 159 240 moveto
+159 259 lineto
+248 259 lineto
+248 240 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+166.625 245.25 moveto 72.75 (Kalman< sq_T >) alignedtext
 grestore
 % Node3
 gsave
-[ /Rect [ 41 181 143 201 ]
+[ /Rect [ 48 175 138 193 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalman.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 41 181 143 201 ]
+0.000 0.000 1.000 nodecolor
+newpath 48 174 moveto
+48 193 lineto
+139 193 lineto
+139 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 48 174 moveto
+48 193 lineto
+139 193 lineto
+139 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+55.5 179.25 moveto 75 (Kalman< ldmat >) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 177 235 moveto
+156 222 126 204 108 193 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 175.559 238.203 moveto
+186 240 lineto
+178.958 232.084 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 175.559 238.203 moveto
+186 240 lineto
+178.958 232.084 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+159 213.25 moveto 42 (< ldmat >) alignedtext
+grestore
+% Node6
+gsave
+[ /Rect [ 156 175 250 193 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalman.html) >>
@@ -234,184 +263,119 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 41 180 moveto
-41 201 lineto
-144 201 lineto
-144 180 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 41 180 moveto
-41 201 lineto
-144 201 lineto
-144 180 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-92 187 moveto 87 -0.5 (Kalman< ldmat >) alignedtext
-grestore
-% Node1->Node3
+newpath 156 174 moveto
+156 193 lineto
+250 193 lineto
+250 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 156 174 moveto
+156 193 lineto
+250 193 lineto
+250 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+164 179.25 moveto 78 (Kalman< chmat >) alignedtext
+grestore
+% Node1->Node6
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 184 247 moveto
-176 243 168 238 160 234 curveto
-142 223 122 210 108 201 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 182.559 250.203 moveto
-193 252 lineto
-185.958 244.084 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 182.559 250.203 moveto
-193 252 lineto
-185.958 244.084 lineto
+newpath 203 230 moveto
+203 218 203 203 203 193 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 199.5 230 moveto
+203 240 lineto
+206.5 230 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 199.5 230 moveto
+203 240 lineto
+206.5 230 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
-10.00 /FreeSans.ttf set_font
-191 224 moveto 50 -0.5 (< ldmat >) alignedtext
-grestore
-% Node6
-gsave
-[ /Rect [ 161 181 267 201 ]
+10.00 /FreeSans set_font
+203.5 213.25 moveto 45 (< chmat >) alignedtext
+grestore
+% Node10
+gsave
+[ /Rect [ 268 175 364 193 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalman.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 161 181 267 201 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalman.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 161 180 moveto
-161 201 lineto
-267 201 lineto
-267 180 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 161 180 moveto
-161 201 lineto
-267 201 lineto
-267 180 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-214 187 moveto 90 -0.5 (Kalman< chmat >) alignedtext
-grestore
-% Node1->Node6
+0.000 0.000 1.000 nodecolor
+newpath 268 174 moveto
+268 193 lineto
+365 193 lineto
+365 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 268 174 moveto
+268 193 lineto
+365 193 lineto
+365 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+275.5 179.25 moveto 81 (Kalman< fsqmat >) alignedtext
+grestore
+% Node1->Node10
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 214 242 moveto
-214 228 214 212 214 201 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 210.5 242 moveto
-214 252 lineto
-217.5 242 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 210.5 242 moveto
-214 252 lineto
-217.5 242 lineto
+newpath 230 235 moveto
+237 231 245 226 252 222 curveto
+269 212 288 201 301 193 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 228.042 232.084 moveto
+221 240 lineto
+231.441 238.203 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 228.042 232.084 moveto
+221 240 lineto
+231.441 238.203 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
-10.00 /FreeSans.ttf set_font
-241 224 moveto 53 -0.5 (< chmat >) alignedtext
-grestore
-% Node10
-gsave
-[ /Rect [ 285 181 395 201 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalman.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 285 181 395 201 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalman.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 285 180 moveto
-285 201 lineto
-395 201 lineto
-395 180 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 285 180 moveto
-285 201 lineto
-395 201 lineto
-395 180 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-340 187 moveto 94 -0.5 (Kalman< fsqmat >) alignedtext
-grestore
-% Node1->Node10
-gsave
-1 setlinewidth
-dashed
-0.106 1.000 1.000 edgecolor
-newpath 245 248 moveto
-254 243 263 238 271 234 curveto
-290 223 311 210 325 201 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 243.717 244.74 moveto
-236 252 lineto
-246.56 251.137 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 243.717 244.74 moveto
-236 252 lineto
-246.56 251.137 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10.00 /FreeSans.ttf set_font
-324 224 moveto 57 -0.5 (< fsqmat >) alignedtext
+10.00 /FreeSans set_font
+267 213.25 moveto 48 (< fsqmat >) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 198 313 230 333 ]
+[ /Rect [ 188 299 218 317 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classBM.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 198 313 230 333 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classBM.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 198 312 moveto
-198 333 lineto
-230 333 lineto
-230 312 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 198 312 moveto
-198 333 lineto
-230 333 lineto
-230 312 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-214 319 moveto 16 -0.5 (BM) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 188 298 moveto
+188 317 lineto
+219 317 lineto
+219 298 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 188 298 moveto
+188 317 lineto
+219 317 lineto
+219 298 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+195.5 303.25 moveto 15 (BM) alignedtext
 grestore
 % Node2->Node1
@@ -420,49 +384,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 214 302 moveto
-214 292 214 281 214 273 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 210.5 302 moveto
-214 312 lineto
-217.5 302 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 210.5 302 moveto
-214 312 lineto
-217.5 302 lineto
+newpath 203 288 moveto
+203 278 203 267 203 259 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 199.5 288 moveto
+203 298 lineto
+206.5 288 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 199.5 288 moveto
+203 298 lineto
+206.5 288 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 0 121 66 141 ]
+[ /Rect [ 0 117 64 135 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKFcondQR.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 0 121 66 141 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKFcondQR.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 120 moveto
-0 141 lineto
-67 141 lineto
-67 120 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 120 moveto
-0 141 lineto
-67 141 lineto
-67 120 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-33 127 moveto 51 -0.5 (KFcondQR) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 0 116 moveto
+0 135 lineto
+64 135 lineto
+64 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 116 moveto
+0 135 lineto
+64 135 lineto
+64 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8 121.25 moveto 48 (KFcondQR) alignedtext
 grestore
 % Node3->Node4
@@ -471,49 +430,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 74 173 moveto
-63 162 51 150 43 141 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 71.454 175.404 moveto
-81 180 lineto
-76.4038 170.454 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 71.454 175.404 moveto
-81 180 lineto
-76.4038 170.454 lineto
+newpath 75 167 moveto
+64 157 51 144 42 135 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 72.454 169.404 moveto
+82 174 lineto
+77.4038 164.454 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 72.454 169.404 moveto
+82 174 lineto
+77.4038 164.454 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 84 121 142 141 ]
+[ /Rect [ 82 117 138 135 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKFcondR.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 84 121 142 141 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKFcondR.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 84 120 moveto
-84 141 lineto
-143 141 lineto
-143 120 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 84 120 moveto
-84 141 lineto
-143 141 lineto
-143 120 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-113 127 moveto 43 -0.5 (KFcondR) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 82 116 moveto
+82 135 lineto
+139 135 lineto
+139 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 82 116 moveto
+82 135 lineto
+139 135 lineto
+139 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+89.75 121.25 moveto 40.5 (KFcondR) alignedtext
 grestore
 % Node3->Node5
@@ -522,49 +476,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 99 171 moveto
-103 161 107 149 109 141 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 95.842 169.406 moveto
-96 180 lineto
-102.483 171.62 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95.842 169.406 moveto
-96 180 lineto
-102.483 171.62 lineto
+newpath 99 164 moveto
+102 154 105 143 107 135 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 95.5212 163.416 moveto
+96 174 lineto
+102.226 165.427 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 95.5212 163.416 moveto
+96 174 lineto
+102.226 165.427 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 181 121 247 141 ]
+[ /Rect [ 173 117 233 135 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalmanCh.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 181 121 247 141 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalmanCh.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 181 120 moveto
-181 141 lineto
-248 141 lineto
-248 120 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 181 120 moveto
-181 141 lineto
-248 141 lineto
-248 120 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-214 127 moveto 51 -0.5 (KalmanCh) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 173 116 moveto
+173 135 lineto
+234 135 lineto
+234 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 173 116 moveto
+173 135 lineto
+234 135 lineto
+234 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+180.5 121.25 moveto 45 (KalmanCh) alignedtext
 grestore
 % Node6->Node7
@@ -573,49 +522,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 214 170 moveto
-214 160 214 149 214 141 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 210.5 170 moveto
-214 180 lineto
-217.5 170 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 210.5 170 moveto
-214 180 lineto
-217.5 170 lineto
+newpath 203 164 moveto
+203 154 203 143 203 135 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 199.5 164 moveto
+203 174 lineto
+206.5 164 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 199.5 164 moveto
+203 174 lineto
+206.5 164 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 189 61 239 81 ]
+[ /Rect [ 179 59 227 77 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKFCh.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 189 61 239 81 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKFCh.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 189 60 moveto
-189 81 lineto
-239 81 lineto
-239 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 189 60 moveto
-189 81 lineto
-239 81 lineto
-239 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-214 67 moveto 34 -0.5 (EKFCh) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 179 58 moveto
+179 77 lineto
+227 77 lineto
+227 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 179 58 moveto
+179 77 lineto
+227 77 lineto
+227 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+187.25 63.25 moveto 31.5 (EKFCh) alignedtext
 grestore
 % Node7->Node8
@@ -624,49 +568,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 214 110 moveto
-214 100 214 89 214 81 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 210.5 110 moveto
-214 120 lineto
-217.5 110 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 210.5 110 moveto
-214 120 lineto
-217.5 110 lineto
+newpath 203 106 moveto
+203 96 203 85 203 77 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 199.5 106 moveto
+203 116 lineto
+206.5 106 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 199.5 106 moveto
+203 116 lineto
+206.5 106 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 184 1 244 21 ]
+[ /Rect [ 174 1 232 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKF__unQ.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 184 1 244 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKF__unQ.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 184 0 moveto
-184 21 lineto
-245 21 lineto
-245 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 184 0 moveto
-184 21 lineto
-245 21 lineto
-245 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-214 7 moveto 45 -0.5 (EKF_unQ) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 174 0 moveto
+174 19 lineto
+233 19 lineto
+233 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 174 0 moveto
+174 19 lineto
+233 19 lineto
+233 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+181.625 5.25 moveto 42.75 (EKF_unQ) alignedtext
 grestore
 % Node8->Node9
@@ -675,18 +614,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 201 50 moveto
-199 40 200 29 204 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 197.607 50.8806 moveto
-203 60 lineto
-204.471 49.5078 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 197.607 50.8806 moveto
-203 60 lineto
-204.471 49.5078 lineto
+newpath 190 48 moveto
+188 38 189 27 193 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 186.607 48.8806 moveto
+192 58 lineto
+193.471 47.5078 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 186.607 48.8806 moveto
+192 58 lineto
+193.471 47.5078 lineto
 closepath stroke
 grestore
@@ -696,18 +635,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 214 50 moveto
-214 40 214 29 214 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 210.5 50 moveto
-214 60 lineto
-217.5 50 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 210.5 50 moveto
-214 60 lineto
-217.5 50 lineto
+newpath 203 48 moveto
+203 38 203 27 203 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 199.5 48 moveto
+203 58 lineto
+206.5 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 199.5 48 moveto
+203 58 lineto
+206.5 48 lineto
 closepath stroke
 grestore
@@ -717,49 +656,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 227 50 moveto
-229 40 228 29 224 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 223.529 49.5078 moveto
-225 60 lineto
-230.393 50.8806 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 223.529 49.5078 moveto
-225 60 lineto
-230.393 50.8806 lineto
+newpath 216 48 moveto
+218 38 217 27 213 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 212.529 47.5078 moveto
+214 58 lineto
+219.393 48.8806 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 212.529 47.5078 moveto
+214 58 lineto
+219.393 48.8806 lineto
 closepath stroke
 grestore
 % Node11
 gsave
-[ /Rect [ 301 121 379 141 ]
+[ /Rect [ 279 117 353 135 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKF.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 301 121 379 141 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKF.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 301 120 moveto
-301 141 lineto
-380 141 lineto
-380 120 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 301 120 moveto
-301 141 lineto
-380 141 lineto
-380 120 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-340 127 moveto 63 -0.5 (EKF< sq_T >) alignedtext
+0.000 0.000 1.000 nodecolor
+newpath 279 116 moveto
+279 135 lineto
+354 135 lineto
+354 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 279 116 moveto
+279 135 lineto
+354 135 lineto
+354 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+286.375 121.25 moveto 59.25 (EKF< sq_T >) alignedtext
 grestore
 % Node10->Node11
@@ -768,18 +702,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 340 170 moveto
-340 160 340 149 340 141 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 336.5 170 moveto
-340 180 lineto
-343.5 170 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 336.5 170 moveto
-340 180 lineto
-343.5 170 lineto
+newpath 316 164 moveto
+316 154 316 143 316 135 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 312.5 164 moveto
+316 174 lineto
+319.5 164 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 312.5 164 moveto
+316 174 lineto
+319.5 164 lineto
 closepath stroke
 grestore
@@ -791,5 +725,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 439 378
+%%BoundingBox: 36 36 408 362
 end
 restore