Index: doc/latex/libBM_8h__dep__incl.eps
===================================================================
--- doc/latex/libBM_8h__dep__incl.eps (revision 91)
+++ doc/latex/libBM_8h__dep__incl.eps (revision 99)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 894 232
+%%PageBoundingBox: 36 36 835 232
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 858 196 boxprim clip newpath
+36 36 799 196 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 387 168 moveto
-387 187 lineto
-530 187 lineto
-530 168 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 387 168 moveto
-387 187 lineto
-530 187 lineto
-530 168 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-394.625 173.25 moveto 126.75 (work/mixpp/bdm/stat/libBM.h) alignedtext
+newpath 405 168 moveto
+405 187 lineto
+548 187 lineto
+548 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 405 168 moveto
+405 187 lineto
+548 187 lineto
+548 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+412.625 173.25 moveto 126.75 (work/mixpp/bdm/stat/libBM.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 76 113 216 131 ]
+[ /Rect [ 165 113 305 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 76 112 moveto
-76 131 lineto
-217 131 lineto
-217 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 76 112 moveto
-76 131 lineto
-217 131 lineto
-217 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-83.75 117.25 moveto 124.5 (work/mixpp/bdm/stat/libFN.h) alignedtext
+newpath 165 112 moveto
+165 131 lineto
+306 131 lineto
+306 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 165 112 moveto
+165 131 lineto
+306 131 lineto
+306 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+172.75 117.25 moveto 124.5 (work/mixpp/bdm/stat/libFN.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,366 +236,477 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 392 166 moveto
-333 156 249 140 196 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 391.508 169.471 moveto
-402 168 lineto
-392.881 162.607 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 391.508 169.471 moveto
-402 168 lineto
-392.881 162.607 lineto
+newpath 423 166 moveto
+378 156 314 140 274 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 422.508 169.471 moveto
+433 168 lineto
+423.881 162.607 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 422.508 169.471 moveto
+433 168 lineto
+423.881 162.607 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 325 113 465 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 325 112 moveto
+325 131 lineto
+465 131 lineto
+465 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 325 112 moveto
+325 131 lineto
+465 131 lineto
+465 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+333.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 453 162 moveto
+438 152 420 139 408 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 451.738 165.365 moveto
+462 168 lineto
+455.621 159.541 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 451.738 165.365 moveto
+462 168 lineto
+455.621 159.541 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 651 113 791 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 651 112 moveto
+651 131 lineto
+792 131 lineto
+792 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 651 112 moveto
+651 131 lineto
+792 131 lineto
+792 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+658.375 117.25 moveto 125.25 (work/mixpp/bdm/stat/libDS.h) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 530 166 moveto
+576 156 640 140 682 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 529.119 162.607 moveto
+520 168 lineto
+530.492 169.471 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 529.119 162.607 moveto
+520 168 lineto
+530.492 169.471 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+[ /Rect [ 483 113 633 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($loggers_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 483 112 moveto
+483 131 lineto
+633 131 lineto
+633 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 483 112 moveto
+483 131 lineto
+633 131 lineto
+633 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+491.25 117.25 moveto 133.5 (work/mixpp/bdm/stat/loggers.h) alignedtext
+grestore
+% Node1->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 499 162 moveto
+514 152 533 139 545 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 496.9 159.2 moveto
+491 168 lineto
+501.1 164.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 496.9 159.2 moveto
+491 168 lineto
+501.1 164.8 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 166 57 304 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 166 56 moveto
+166 75 lineto
+305 75 lineto
+305 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 166 56 moveto
+166 75 lineto
+305 75 lineto
+305 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+173.5 61.25 moveto 123 (work/mixpp/bdm/estim/arx.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 235 102 moveto
+235 93 235 82 235 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 231.5 102 moveto
+235 112 lineto
+238.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 231.5 102 moveto
+235 112 lineto
+238.5 102 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 322 57 468 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 322 56 moveto
+322 75 lineto
+469 75 lineto
+469 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 322 56 moveto
+322 75 lineto
+469 75 lineto
+469 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+329.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
+grestore
+% Node2->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 274 109 moveto
+303 99 344 84 369 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 272.573 105.774 moveto
+264 112 lineto
+274.584 112.479 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 272.573 105.774 moveto
+264 112 lineto
+274.584 112.479 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 204 1 354 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 204 0 moveto
+204 19 lineto
+355 19 lineto
+355 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 204 0 moveto
+204 19 lineto
+355 19 lineto
+355 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+211.5 5.25 moveto 135 (work/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155 116 moveto
+97 111 25 99 5 76 curveto
+0 69 0 62 5 56 curveto
+18 41 127 26 204 18 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 154.701 119.488 moveto
+165 117 lineto
+155.398 112.522 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154.701 119.488 moveto
+165 117 lineto
+155.398 112.522 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 14 57 148 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsm_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 14 56 moveto
+14 75 lineto
+148 75 lineto
+148 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 14 56 moveto
+14 75 lineto
+148 75 lineto
+148 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+22.125 61.25 moveto 117.75 (work/mixpp/pmsm/pmsm.h) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 197 109 moveto
+169 98 130 84 106 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 196.416 112.479 moveto
+207 112 lineto
+198.427 105.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 196.416 112.479 moveto
+207 112 lineto
+198.427 105.774 lineto
+closepath stroke
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 365 52 moveto
+343 42 316 28 298 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 363.44 55.1369 moveto
+374 56 lineto
+366.283 48.7402 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 363.44 55.1369 moveto
+374 56 lineto
+366.283 48.7402 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 234 113 374 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 234 112 moveto
-234 131 lineto
-374 131 lineto
-374 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 234 112 moveto
-234 131 lineto
-374 131 lineto
-374 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-242.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 420 165 moveto
-392 154 353 140 329 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 419.416 168.479 moveto
-430 168 lineto
-421.427 161.774 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 419.416 168.479 moveto
-430 168 lineto
-421.427 161.774 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 392 113 524 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($arx_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 392 112 moveto
-392 131 lineto
-524 131 lineto
-524 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 392 112 moveto
-392 131 lineto
-524 131 lineto
-524 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-400.25 117.25 moveto 115.5 (work/mixpp/bdm/stat/arx.h) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 458 158 moveto
-458 149 458 138 458 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 454.5 158 moveto
-458 168 lineto
-461.5 158 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 454.5 158 moveto
-458 168 lineto
-461.5 158 lineto
+[ /Rect [ 372 1 648 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 372 0 moveto
+372 19 lineto
+648 19 lineto
+648 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 372 0 moveto
+372 19 lineto
+648 19 lineto
+648 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+379.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node4->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 425 52 moveto
+447 42 474 28 492 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 423.717 48.7402 moveto
+416 56 lineto
+426.56 55.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 423.717 48.7402 moveto
+416 56 lineto
+426.56 55.1369 lineto
+closepath stroke
+grestore
+% Node7->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 126 53 moveto
+163 43 214 28 247 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 124.573 49.7741 moveto
+116 56 lineto
+126.584 56.4788 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 124.573 49.7741 moveto
+116 56 lineto
+126.584 56.4788 lineto
+closepath stroke
+grestore
+% Node8->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 356 109 moveto
+327 99 286 84 261 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 355.416 112.479 moveto
+366 112 lineto
+357.427 105.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 355.416 112.479 moveto
+366 112 lineto
+357.427 105.774 lineto
+closepath stroke
+grestore
+% Node8->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 395 102 moveto
+395 93 395 82 395 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 391.5 102 moveto
+395 112 lineto
+398.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 391.5 102 moveto
+395 112 lineto
+398.5 102 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 542 113 682 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 542 112 moveto
-542 131 lineto
-683 131 lineto
-683 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 542 112 moveto
-542 131 lineto
-683 131 lineto
-683 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-549.375 117.25 moveto 125.25 (work/mixpp/bdm/stat/libDS.h) alignedtext
-grestore
-% Node1->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 496 165 moveto
-524 154 563 140 587 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 494.573 161.774 moveto
-486 168 lineto
-496.584 168.479 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 494.573 161.774 moveto
-486 168 lineto
-496.584 168.479 lineto
-closepath stroke
-grestore
-% Node10
-gsave
-[ /Rect [ 700 113 850 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($loggers_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 700 112 moveto
-700 131 lineto
-850 131 lineto
-850 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 700 112 moveto
-700 131 lineto
-850 131 lineto
-850 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-708.25 117.25 moveto 133.5 (work/mixpp/bdm/stat/loggers.h) alignedtext
-grestore
-% Node1->Node10
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 525 166 moveto
-584 156 670 140 724 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 524.119 162.607 moveto
-515 168 lineto
-525.492 169.471 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 524.119 162.607 moveto
-515 168 lineto
-525.492 169.471 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 152 57 298 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 152 56 moveto
-152 75 lineto
-299 75 lineto
-299 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 152 56 moveto
-152 75 lineto
-299 75 lineto
-299 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-159.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
-grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 168 106 moveto
-183 96 200 83 212 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 165.9 103.2 moveto
-160 112 lineto
-170.1 108.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 165.9 103.2 moveto
-160 112 lineto
-170.1 108.8 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 0 57 134 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($pmsm_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 56 moveto
-0 75 lineto
-134 75 lineto
-134 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 56 moveto
-0 75 lineto
-134 75 lineto
-134 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-8.125 61.25 moveto 117.75 (work/mixpp/pmsm/pmsm.h) alignedtext
-grestore
-% Node2->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 124 106 moveto
-109 96 92 83 80 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 121.9 108.8 moveto
-132 112 lineto
-126.1 103.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 121.9 108.8 moveto
-132 112 lineto
-126.1 103.2 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 87 1 363 19 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 87 0 moveto
-87 19 lineto
-363 19 lineto
-363 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 87 0 moveto
-87 19 lineto
-363 19 lineto
-363 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-94.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 225 46 moveto
-225 37 225 26 225 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 221.5 46 moveto
-225 56 lineto
-228.5 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 221.5 46 moveto
-225 56 lineto
-228.5 46 lineto
-closepath stroke
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 282 106 moveto
-267 96 250 83 238 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 279.9 108.8 moveto
-290 112 lineto
-284.1 103.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 279.9 108.8 moveto
-290 112 lineto
-284.1 103.2 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 316 57 462 75 ]
+[ /Rect [ 486 57 632 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
@@ -603,40 +714,83 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 316 56 moveto
-316 75 lineto
-463 75 lineto
-463 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 316 56 moveto
-316 75 lineto
-463 75 lineto
-463 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-323.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 328 107 moveto
-343 97 362 83 375 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 326.042 104.084 moveto
-319 112 lineto
-329.441 110.203 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 326.042 104.084 moveto
-319 112 lineto
-329.441 110.203 lineto
+newpath 486 56 moveto
+486 75 lineto
+633 75 lineto
+633 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 486 56 moveto
+486 75 lineto
+633 75 lineto
+633 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+493.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 434 109 moveto
+464 99 506 84 533 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 432.573 105.774 moveto
+424 112 lineto
+434.584 112.479 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 432.573 105.774 moveto
+424 112 lineto
+434.584 112.479 lineto
+closepath stroke
+grestore
+% Node9->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 499 54 moveto
+446 44 371 28 324 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 498.508 57.4708 moveto
+509 56 lineto
+499.881 50.6067 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 498.508 57.4708 moveto
+509 56 lineto
+499.881 50.6067 lineto
+closepath stroke
+grestore
+% Node11->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 598 108 moveto
+627 96 659 77 641 56 curveto
+640 55 458 32 352 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 595.985 105.036 moveto
+588 112 lineto
+598.585 111.536 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 595.985 105.036 moveto
+588 112 lineto
+598.585 111.536 lineto
 closepath stroke
 grestore
@@ -648,5 +802,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 894 232
+%%BoundingBox: 36 36 835 232
 end
 restore